.\" t
.\" @(#)FvwmIdent.1	1/12/94
.TH FvwmIdent 1.20 "Jan 28 1994"
.\" $Id: FvwmIdent-j.man,v 1.3 2007-01-12 18:12:10+09 shige Exp $
.\" FvwmIdent for 2.0.43: ܸ: shige@iee.niit.ac.jp 
.UC
.\" .SH NAME
.SH ̾
.\" FvwmIdent \- the FVWM identify-window module
FvwmIdent \- FVWM ɥ⥸塼
.\" .SH SYNOPSIS
.SH 
.\" FvwmIdent is spawned by fvwm, so no command line invocation will work.
FvwmIdent  fvwm ˤäƼ¹ԤΤ
ޥɥ饤󤫤θƤӽФǤưޤ

.\" .SH DESCRIPTION
.SH 
.\" The FvwmIdent module prompts the user to select a target window, if
.\" the module was not launched from within a window context in Fvwm.
.\" After that, it pops up a window with information about the window
.\" which was selected.
FvwmIdent ⥸塼ϡ⥸塼뤬 Fvwm Υɥꤷ
(window context) θǼ¹Ԥ줿ΤǤϤʤ硢
оݤȤʤ륦ɥ桼򤵤뤿ΥץץȤФޤ
Ƥθ塢򤵤줿ɥ˴ؤɽ륦ɥ
ݥåץåפޤ

.\" FvwmIdent reads the same .fvwmrc file as fvwm reads when it starts up,
.\" and looks for lines similar to "*FvwmIdentFore green".
FvwmIdent ϡfvwm ưɤ߹ΤƱ .fvwmrc ե
ɤߡ"*FvwmIdentFore green" Τ褦ʹԤõޤ

.\" .SH COPYRIGHTS
.SH COPYRIGHTS (ʸ)
The FvwmIdent program, and the concept for
interfacing this module to the Window Manager, are all original work
by Robert Nation Nobutaka Suzuki.

Copyright 1994, Robert Nation and Nobutaka Suzuki. No guarantees or
warranties or anything 
are provided or implied in any way whatsoever. Use this program at your
own risk. Permission to use this program for any purpose is given,
as long as the copyright is kept intact. 

.SH  (ܸ)
FvwmIdnet ץȡ
ɥޥ͡ȤΥ⥸塼ߤΤȤ˴ؤ복ǰϡ
٤ Robert Nation  Nobutaka Suzuki ΥꥸʥʻŻˤΤǤ

1994 ǯ Robert Nation  Nobutaka Suzuki ˤʪǤ
ʤݸ⡢ʤݾڤ⡢ƤʳβΤ⡢
ɤˡǤͿޤ󤷰ż⤷ޤ
ΥץϤʤȤǤǻѤƤ
ΥץϡΤޤݻƤ֤
ɤŪǤäƤ⤽λѤĤޤ


.\" .SH INITIALIZATION
.SH 
.\" During initialization, \fIFvwmIdent\fP will eventually search a 
.\" configuration file which describes the colors and font to use.
.\" The configuration file is the same file that fvwm used during initialization.
δ֡\fIFvwmIdent\fP ϡ
Ѥ뿧ȥեȤ򵭽ҤƤե򸡺ޤ
եϡfvwm κݤ˻ѤΤƱեǤ

.\" If the FvwmIdent executable is linked to another name, ie ln -s
.\" FvwmIdent MoreIdentify, then another module called MoreIdentify can be
.\" started, with a completely different configuration than FvwmIdent,
.\" simply by changing the keyword  FvwmIdent to MoreIdentify. This way multiple
.\" clutter-reduction programs can be used.
FvwmIdent μ¹ԥե뤬¾̾ǥ󥯤Ƥ硢㤨
ln -s FvwmIdent MoreIdentify ȤƤ硢
FvwmIdent Ȥɤñ MoreIdentify Ѥ뤳Ȥ
FvwmIdent Ȥ㤦Τ줿
MoreIdentify Ȥ̾Υ⥸塼ưǤޤ
ˤꡢ
ʡ경ץץȤȤǤޤ
.\" clutter-reduction programs ==> identify programs Ȥ٤ (?)

.\" .SH INVOCATION
.SH ƤӽФ
.\" FvwmIdent can be invoked by binding the action 'Module
.\" FvwmIdent' to a menu or key-stroke in the .fvwmrc file.
.\" Fvwm will search
.\" directory specified in the ModulePath configuration option to attempt
.\" to locate FvwmIdent. Although nothing keeps you from launching
.\" FvwmIdent at start-up time, you probably don't want to.
FvwmIdent ϡ`Module FvwmIdent`  .fvwmrc եǥ˥塼
ȥ˳Ƥ뤳ȤǸƤӤȤǤޤ
fvwm ϡFvwmIdont ֤
ꥪץ ModulePath ǻꤵ줿ǥ쥯ȥõƸĤ褦Ȥޤ
ư FvwmIdent θƤӽФ˸Τϲ⤢ޤ󤬡
ʤϤ˾ޤʤ⤷ޤ

.\" .SH CONFIGURATION OPTIONS
.SH ꥪץ
.\" FvwmIdent reads the same .fvwmrc file as fvwm reads when it starts up,
.\" and looks for lines as listed below:
FvwmIdent ϡfvwm ưɤ߹ΤƱ .fvwmrc եɤߡ
ʲΤ褦ʹԤõޤ:

.IP "*FvwmIdentFore \fIcolor\fP"
.\" Tells the module to use \fIcolor\fP instead of black for text.
ϡ⥸塼뤬ʸοȤƹ \fIcolor\fP ȤȤ
ޤ

.IP "*FvwmIdentBack \fIcolor\fP"
.\" Tells the module to use \fIcolor\fP instead of black for the window
.\" background.
ϡ⥸塼뤬ɥطʤȤƹ \fIcolor\fP 
ȤȤޤ

.IP "*FvwmIdentFont \fIfontname\fP"
.\" Tells the module to use \fIfontname\fP instead of fixed for text.
ϡ⥸塼뤬ʸΥեȤȤ fixed  \fIfontname\fP 
ȤȤޤ

.\" .SH AUTHOR
.SH 
Robert Nation and  and Nobutaka
Suzuki (nobuta-s@is.aist-nara.ac.jp).

