.\" t
.\" @(#)FvwmTaskBar.1	6/30/96
.TH FvwmTaskBar 2.6 "June 30th, 1996"
.\" $Id: FvwmTaskBar-j.man,v 1.2 2007-01-07 19:30:05+09 shige Exp $
.\" FvwmTaskBar for 2.0.46: ܸ: shige@iee.niit.ac.jp 
.UC
.\" .SH NAME
.SH ̾
.\" FvwmTaskBar \- the FVWM taskbar module
FvwmTaskBar \- FVWM С⥸塼
.\" .SH SYNOPSIS
.SH 
.\" FvwmTaskBar is spawned by FVWM, so no command line invocation will work.
FvwmTaskBar  fvwm ˤäƼ¹ԤΤǡ
ޥɥ饤󤫤θƤӽФǤưޤ

.\" .SH DESCRIPTION
.SH 
.\" The FvwmTaskBar module provides a taskbar made up of buttons arranged by
.\" rows, each corresponding to a window that FVWM is managing.
.\" Clicking on first button gives focus to the corresponding toplevel window;
.\" clicking on the middle button will hide a toplevel window; third mouse button
.\" is reserved for a future extension (context menu).
.\" Like the other modules, FvwmTaskBar only works when fvwm is used as the
.\" window manager. 
FvwmTaskBar ⥸塼ϡfvwm 륦ɥбܥ
Ԥ󤷤ƺ륿С󶡤ޤ
 1 ܥǥåС
եбȥåץ٥Υɥ˰ܤꡢ
ܥǥåС
ȥåץ٥륦ɥ򱣤ޤ
 3 ܥϡγĥ (Υ˥塼) Ѥͽ󤵤Ƥޤ
¾Υ⥸塼Ʊ͡FvwmTaskBar  fvwm ɥޥ͡Ȥ
ȤƤȤưΤߤǤ

.\" When started, the taskbar shows up as a single row of buttons filling the
.\" full width of the screen, but during the work can be resized to accomodate
.\" up to 8 rows. In adition, if the AutoStick option is used, the taskbar
.\" will autoposition itself at the top or bottom of the screen, and can be
.\" dragged from one position to another with a normal move operation. 
ưˡСϥ꡼ΤԤηɽޤ
¹Ծбơ 8 ԤޤǥѤޤ
.\" accomodates ==> accommodates δְ㤤
ˡץ AutoStick ȤƤ硢
СϤ켫Ȥǥ꡼ξ夫˰֤ưŪ˷ޤ
ΰ֤¾ΰ֤̾ΰưǥɥå뤳ȤǤޤ

.\" The first button of the taskbar, labelled "Start" sends a "Popup
.\" StartMenu" command to the FVWM, which can be used to pop-up a
.\" general-purpose menu when the button is pressed. 
"Start" ̾ΤĤƤ륿СκǽΥܥϡ
fvwm إޥ "Popup StartMenu" 
ϥܥ󤬲줿Ȥ
ŪŪΥ˥塼ݥåץåפΤ˻Ȥޤ

.\" The FvwmTaskBar also displays at the right side a window showing the
.\" current time and the built-in incoming mail indicator. 
FvwmTaskBar ϥɥα¦ˡ
ߤλȥ᡼򼨤Ȥ߹ߵǽɽޤ

.\" .SH COPYRIGHTS
.SH COPYRIGHTS (ʸ)
The FvwmTaskBar module is derivated from Mike Finger's FvwmWinList.

Copyright 1994, Mike Finger. The author makes no guarantees or warranties of
any kind about the use of this module.  Use this modules at your own risk.
You may freely use this module or any portion of it for any purpose as long
as the copyright is kept intact. 

.SH  (ܸ)
FvwmTaskBar ⥸塼ϡ
Mike Finger  FvwmWinList ΤǤ

1994 ǯ Mike Finger ˤʪǤ
ԤϡΥ⥸塼λѤ˴ؤ뤤ʤݸ⡢ݾڤͿޤ
ΥץϤʤȤǤǻѤƤ
ΤޤݻƤ֤
ɤŪǤäƤ⡢
ʤϤΥ⥸塼롢ޤϤΥ⥸塼ΰͳ˻ѤǤޤ

.\" .SH INITIALIZATION
.SH 
.\" During initialization, \fIFvwmTaskBar\fP will scan the same configuration
.\" file that FVWM used during startup to find the options that pertain to it. 
.\" These options are discussed in a later section. 
δ֡\fIFvwmTaskBar\fP ϡfvwm ưˤ˴ط륪ץ
õΤ˻ѤեƱեĴ٤ޤ
Ĵ٤륪ץˤĤƤϡθΥޤ

.\" .SH INVOCATION
.SH ƤӽФ
.\" FvwmTaskBar can be invoked by fvwm during initialization by inserting the
.\" line 'Module FvwmTaskBar' in the .fvwmrc file. 
FvwmTaskBar ϡ.fvwmrc ե 'Module FvwmTaskBar' ιԤ뤳Ȥ
fvwm νκݤ˸ƤӽФȤǤޤ

.\" FvwmTaskBar must reside in a directory that is listed in the ModulePath 
.\" option of FVWM for it to be executed by FVWM.
FvwmTaskBar ϡfvwm  fvwm ⤫ƤӽФ⥸塼Τ
ץǤ ModulePath ꤵƤǥ쥯ȥ
¸ߤƤʤФޤ

.\" .SH CONFIGURATION OPTIONS
.SH ꥪץ
.\" The following options can be placed in the .fvwmrc file
ʲΥץ .fvwmrc ե֤ȤǤޤ:

.IP "*FvwmTaskBarGeometry \fI{+-}<X>x{+-}<Y>\fP"
.\" Specifies the location and gravity of the FvwmTaskBar window.  At the
.\" current version, size is not supported and the taskbar will resize itself
.\" to fill the full witdh of the screen. If the AutoStick option is also
.\" specified, the module will automatically "stick" to the top or the bottom
.\" of the screen, whichever is closest to the geometry specification. 
ϡFvwmTaskBar ɥΰ֤ȤοӤꤷޤ
ߤǤǤϡϥݡȤƤ餺
СϼʬȤǥ꡼Τ褦˥ѹޤ
.\" witdh ==> width δְ㤤
ץ AutoStick ꤵƤ硢
⥸塼ϼưŪ˰ֻ˺ǤᤤȤ
꡼ξ夫Τɤ餫˸ ("stick") ޤ

.IP "*FvwmTaskBarFont \fIfont\fP"
.\" Specifies the default font to be used for labeling the buttons, when they 
.\" are not depressed. If not specified, fixed font is assumed.
ϡ߹ǤʤܥΥ٥˻Ȥ
ǥեȤΥեȤꤷޤ
ꤵʤСfixed եȤꤵޤ

.IP "*FvwmTaskBarSelFont \fIfont\fP"
.\" Specifies the font to be used for the depressed buttons. Note that the 
.\" Start button will use always this font even if is not pressed. If this 
.\" option is not specified, the default font is used instead.
ϡ߹ǤܥΥ٥˻ȤեȤꤷޤ
Start ܥϡƤʤƤˤΥեȤȤȤ
դƤ
ΥץꤷʤС˥ǥեȤΥեȤȤޤ

.IP "*FvwmTaskBarStatusFont \fIfont\fP"
.\" Specifies the font to be used for the clock and tip windows. If this 
.\" option is not specified, fixed font is used.
ϡפȾɥǻȤեȤꤷޤ
ΥץꤷʤСfixed եȤȤޤ

.IP "*FvwmTaskBarFore \fIcolor\fP"
.\" Specifies the color to use for the button names.
ϡܥ̾ǻȤ뿧ꤷޤ

.IP "*FvwmTaskBarBack \fIcolor\fP"
.\" Specifies the background color for the bar and buttons.
ϡСȥܥطʿꤷޤ

.IP "*FvwmTaskBarTipsFore \fIcolor\fP"
.\" Specifies the color to be used for the text in the tips windows.
ϡɥʸ˻Ȥ뿧ꤷޤ

.IP "*FvwmTaskBarTipsBack \fIcolor\fP"
.\" Specifies the background color for the tips windows.
ϡɥطʿꤷޤ

.IP "*FvwmTaskBarGeometry \fIgeometry\fP"
.\" This option specifies the geometry of the window (only the Y coordinate is
.\" useful)
Υץϡɥΰ־ꤷޤ (Y ɸΤͭ)

.IP "*FvwmTaskBarAutoStick"
.\" This option causes the taskbar to "stick" either to the top or bottom 
.\" of the screen, whichever is closest to the initial window placement. Any 
.\" further move operation is also subject to that behaviour.
ΥץϡСɥ֤˺ǤᤤȤΡ
꡼ξ夫Τɤ餫˸ ("stick") ޤ
θǤդΰư⡢ο񤤤αƶޤ

.IP "*FvwmTaskBarAutoHide"
.\" This option causes the taskbar to disappear leaving a narrow strip at the
.\" bottom of the screen, and reappears only when the mouse is moved to that
.\" strip. This option automatically enables AutoStick.
ΥץϡС򥹥꡼󲼤ζ֤˾äƤޤޤ
ζӤ˥ޥưȺƤӸޤ
ΥץϼưŪ AutoStick ͭˤޤ

.IP "*FvwmTaskBarUseSkipList"
.\" Tells FvwmTaskBar to not show the windows that are listed on a WindowListSkip
.\" line in the configuration file.
ϡե WindowListSkip Ԥ˾夲Ƥ륦ɥ
FvwmTaskBar ɽʤ褦ؼޤ

.IP "*FvwmTaskBarUseIconNames"
.\" Tells FvwmTaskBar to use the icon name of the window instead of the full 
.\" window name.  This is useful to keep the width of the buttons small.
ϡɥ̾˥ɥΥ̾Ȥ褦
FvwmTaskBar ˻ؼޤ
ϡܥ򾮤ݤĤΤͭѤǤ

.IP "*FvwmTaskBarShowTransients"
.\" Tells FvwmTaskBar to show the application transient windows also. By default
.\" they are not shown.
ϡץꥱΰŪʥɥɽ褦
FvwmTaskBar ˻ؼޤ
ǥեȤǤϤɽޤ

.IP "*FvwmTaskBarAction \fIaction response[,response...]\fP"
.\" Tells FvwmTaskBar to do \fIresponse\fP when \fIaction\fP is done.  The
.\" currently supported \fIaction\fPs are: Click1, Click2, Click3.  The currently
.\" supported \fIresponse\fPs are any fvwm built-in commands, including modules
.\" and functions.
.\" The configuration example below shows the default values.
ϡ\fIaction\fP Ԥ줿Ȥ 
FvwmTaskBar  \fIresponse\fP Ԥ蘆ޤ
ߥݡȤƤ \fIaction\fP  Click1, Click2, Click3 ǡ
ߥݡȤƤ \fIresponse\fP ϡ
⥸塼ؿޤǤդ fvwm Ȥ߹ߥޥɤǤ
ϡǥեȤͤ򼨤Ƥޤ

.IP "*FvwmTaskBarButtonWidth \fIwidth\fP"
.\" Indicates the maximum width that window buttons should reach.
.\" (the minimum is hardcoded at 32).
ϡġΥɥܥãꤷޤ
(Ǿ 32 ȥץƤޤ)

.IP "*FvwmTaskBarHighlightFocus"
.\" If the mouse pointer is over the taskbar, the window under the current 
.\" button is active. This behavior is like the TVTWM Icon Manager or 
.\" FvwmIconMan. \fINote:\fP If you use this option combined with FollowMouse 
.\" focus style, you'll want the taskbar to be ClickToFocus.
ޥݥ󥿤Сˤ硢
ߤΥܥβΥɥƥ֤ˤʤޤ
εưϡtvtwm Υޥ͡ FvwmIconMan ȻƤޤ
\fI:\fP Υץ FollowMouse ե
˻ѤϡС ClickToFocus ˤɬפǤ礦

.IP "*FvwmTaskBarShowTips"
.\" Enables the tips windows (by default disabled).
ϡɥͭˤޤ (ǥեȤǤ̵)

.SH ""

.\" The following options deal more specifically with the status indicators 
.\" displayed at the rigth of the taskbar.
ʲΥץϡСɽ륹ơɽ
ŪʻԤޤ

.IP "*FvwmTaskBarClockFormat \fIformat-string\fP"
.\" This option specifies the time format for the digital clock.
.\" It is a \fIstfrtime(3)\fP compatible format string.
.\" By default it is "%R".
Υץϡǥפλ֤ν񼰤ꤷޤ
νʸ \fIstfrtime(3)\fP ߴǤ
ǥեȤǤϤ "%R" Ǥ

.IP "*FvwmTaskBarUpdateInterval \fIseconds\fP"
.\" Specifies how often the clock display should be refreshed, so that times of 
.\" the form HH:MM:SS can be used. By default 60 seconds.
ϡ֤ HH:MM:SS ηѤǤ褦ˡ
ɤ줯餤٤ǻפɽ򹹿뤫ꤷޤ
ǥեȤ 60 äǤ

.IP "*FvwmTaskBarBellVolume \fIvolume\fP"
.\" This sets the volume of the bell when mail is detected.
.\" It is a value between 0 (no bell) and 100 (maximum volume).
.\" By default it is set to 20.
ϡ᡼򸡽ФȤĤ餹٥Υܥ塼ꤷޤ
ͤ 0 (̵)  100 (粻) δ֤Ǥ
ǥեȤ 20 ꤵƤޤ

.IP "*FvwmTaskBarMailBox \fIpath\fP"
.\" This option intructs the module to look for mail at the specified place
.\" It is a full pathname to the user's mailbox.
.\" By default it is \fI/var/spool/mail/$USER_LOGIN\fP.
.\" A value of 'None' instructs the module not to have a mail indicator.
Υץϡ᡼ꤷĴ٤褦˥⥸塼
ؼޤ
.\" intructs ==> instructs δְ㤤Υԥꥪɤʤ
ϥ桼Υ᡼ܥåΥեѥ̾Ǥ
ǥեȤǤϡ\fI/var/spool/mail/$USER_LOGIN\fP ȤʤäƤޤ
 'None' ꤹȡ⥸塼ϥ᡼ɽԤޤ

.IP "*FvwmTaskBarMailCommand \fIcommand\fP"
.\" Specifies a \fIfvwm95\fP command to be executed when double-clicking
.\" on the mail icon.
ϡ᡼륢ǥ֥륯åȤ˼¹Ԥ
\fIfvwm95\fP ޥɤꤷޤ

.IP "*FvwmTaskBarIgnoreOldMail"
.\" If set, draw no bitmap if there is no new mail.
줬ꤵȡ᡼뤬ʤȤ
ӥåȥޥåפ򲿤ɽޤ

.SH ""
.\" The following options deal with the Start button at the left of the taskbar:
ʲΥץϡС Start ܥ˻Ȥޤ:

.IP "*FvwmTaskBarStartName \fIstring\fP"
.\" This option specifies the string displayed in the Start button.
.\" ('Start' by default).
ΥץϡStart ܥɽʸꤷޤ 
(ǥեȤ 'Start')

.IP "*FvwmTaskBarStartMenu \fIstring\fP"
.\" This option specifies the popup to invoke when the start button is pressed.
.\" ('StartMenu' by default). The module send a 'Popup StartMenu' command to
.\" the fvwm window manager.
ΥץϡStart ܥ󤬲줿Ȥ˸ƤӽФ
ݥåץåץ˥塼ꤷޤ (ǥեȤ 'StartMenu')
Υ⥸塼ϡޥ 'Popup StartMenu'  
fvwm ɥޥ͡ޤ

.IP "*FvwmTaskBarStartIcon \fIicon-name\fP"
.\" This option specifies the name of the icon to display at the left of the Start
.\" button.
ΥץϡStart ܥκɽ륢̾
ꤷޤ

.\" .SH SAMPLE CONFIGURATION
.SH 
.\" The following are excepts from a .fvwm2rc95 file which describe FvwmTaskBar
.\" initialization commands:
ʲϡ.fvwm2rc95 ե뤫 FvwmTaskBar νޥɤ
ҤʬȴФΤǤ:
.\" excepts => excerpts δְ㤤 ?

.nf
.sp
#
.\" # Start the taskbar on fvwm startup and restart
# fvwm εưȺƵư taskbar ư
#

AddToFunc "InitFunction" "I" Module FvwmTaskBar

AddToFunc "RestartFunction" "I" Module FvwmTaskBar

#
.\" # Set the style for the taskbar window, keep always on top of another
.\" # windows
# taskbar ɥΥ¾Υɥξˤ褦
# 
#

Style "FvwmTaskBar" NoTitle,BorderWidth 4, HandleWidth 4,Sticky,
StaysOnTop,WindowSkipList,CirculateSkip

#------------------------------------ taskbar
*FvwmTaskBarBack #c3c3c3
*FvwmTaskBarFore black
*FvwmTaskBarTipsBack bisque
*FvwmTaskBarTipsFore black
*FvwmTaskBarGeometry +0-1
*FvwmTaskBarFont -adobe-helvetica-medium-r-*-*-14-*-*-*-*-*-*-*
*FvwmTaskBarSelFont -adobe-helvetica-bold-r-*-*-14-*-*-*-*-*-*-*
*FvwmTaskBarStatusFont fixed

*FvwmTaskBarAction Click1 Iconify -1, Raise
*FvwmTaskBarAction Click2 Iconify +1, Lower
*FvwmTaskBarAction Click3 Iconify -1, Raise

*FvwmTaskBarUseSkipList
*FvwmTaskBarUseIconNames
*FvwmTaskBarAutoStick
*FvwmTaskBarShowTips

*FvwmTaskBarButtonWidth 180
*FvwmTaskBarBellVolume 20
*FvwmTaskBarMailBox /var/spool/mail/
*FvwmTaskBarMailCommand Exec xterm -e mail
*FvwmTaskBarClockFormat %I:%M %p

*FvwmTaskBarStartName Start
*FvwmTaskBarStartMenu StartMenu
*FvwmTaskBarStartIcon mini-exp.xpm

.sp
.fi

.\" .SH BUGS
.SH Х
.\" At present the \fIFvwmTaskBar\fP works only with \fIfvwm95-2\fP.
Ǥϡ\fIFvwmTaskBar\fP  \fIfvwm95-2\fP Ǥưޤ

.\" .SH AUTHOR
.SH 
David Barth (barth@di.epfl.ch)
