.\" t
.\" @(#)FvwmTile.1  11/27/96
.de EX		\"Begin example
.ne 5
.if n .sp 1
.if t .sp .5
.nf
.in +.5i
..
.de EE
.fi
.in -.5i
.if n .sp 1
.if t .sp .5
..
.TH FvwmTile 1 "November 27, 1996" "FvwmTile 1.0" "FvwmTile 1.0"
.\" $Id: FvwmTile-j.man,v 1.1 2007-01-08 21:30:52+09 shige Exp $
.\" FvwmTile for 2.0.46: ܸ: shige@iee.niit.ac.jp 
.UC
.\" .SH NAME
.SH ̾
.\" FvwmTile \- tile FVWM windows
FvwmTile \- FVWM ɥΥĥ
.\" .SH SYNOPSIS
.SH 
.\" FvwmTile is spawned by fvwm, so no command line invocation will work.
FvwmTile  fvwm ˤäƼ¹ԤΤ
ޥɥ饤󤫤θƤӽФǤưޤ

.\" .SH DESCRIPTION
.SH 
.\" This module attempts to tile windows on the current screen subject to
.\" certain constraints.  Horizontal or vertical tiling is performed so
.\" that each window does not overlap another, and by default each window
.\" is resized to its nearest resize increment (note sometimes some space
.\" might appear between tiled windows -- this is why).
Υ⥸塼ϡߤΥ꡼Υɥ
٤εǥĥꤷ褦Ȥޤ
ƥɥߤ˽Ťʤʤ褦
ʿȿľΥĥ꤬Ԥ졢
ǥեȤǤϳƥɥϤκǤᤤꥵʬ˥ѹޤ
.\" ʤΤ ? <== shige
(Ȥɤ 2 ĤΥĥꤵ줿ɥδ֤ˤޤǤ뤳Ȥ
 -- 줬ͳǤ)

.\" .SH INVOCATION
.SH ƤӽФ
.\" FvwmTile is best invoked from a menu, popup or button.  There are a
.\" number of command line options which can be used to constrain the
.\" layering, these are described below.  As an example case, one could
.\" call FvwmTile with the following arguments:
FvwmTile ϡ˥塼ݥåץåץ˥塼ޤϥܥ󤫤
ƤӤΤ֤Ǥ礦
Ѥ߽ŤͤΤ˻Ȥ뤤ĤΥޥɥ饤󥪥ץ
ޤϰʲޤ
㤨СFvwmTile ʲΤ褦ʰĤǸƤӤޤ:
.EX
FvwmTile -h 10 10 90 90
.EE

.\" This invocation will horizontally tile windows with a bounding box
.\" which starts at 10 by 10 percent into and down the screen and ends at
.\" 90 by 90 percent into and down the screen.
θƤӽФǤϡ
꡼κ夫ѡñ̤ 10x10 ΰ֤
90x90 ޤǤΰ֤˺ˡʿ˥ĥꤵޤ

.\" Command-line arguments passed to FvwmTile are described here.
ޥɥ饤ϡʲΤ褦 FvwmTile Ϥޤ
.IP \-a
.\" Causes \fIall\fP window styles to be affected, even ones with the
.\" WindowListSkip style.
ϡWindowListSkip 뤬Ƥ륦ɥޤ
\fI٤\fP ΥΥɥ˺Ѥޤ
.IP \-desk
.\" Causes all windows on the desk to be cascaded instead of the current
.\" screen only.
ϡߤΥ꡼ΥɥΤߤǤʤ
ǥȥåפΤ٤ƤΥɥ٤Τ褦¤Фޤ
.IP \-h
.\" Tiles horizontally (default is to tile vertically).
ϡʿ˥ĥꤵޤ (ǥեȤϿľ)
.IP \-m
.\" Causes maximized windows to also be affected (implied by \-all).
ϡ粽줿ɥˤƶͿޤ (\-all ˴ޤޤ)
.\"  ?
.IP "\-mn \fIarg\fP"
.\" Tiles up to \fIarg\fP windows in tile direction.  If more windows
.\" exist, a new direction row or column is created (in effect, a matrix
.\" is created).
ϡĥˡ \fIarg\fP Υɥǥĥꤷޤ
¿Υɥ¸ߤ硢ιԤޤ󤬺ޤ
(̤Ȥƹ󤬺)
.IP \-noraise
.\" Inhibits window raising, leaving the depth ordering intact.
ϡɥ⤭夲ν򤽤Τޤޤˤޤ
.IP \-noresize
.\" Inhibits window resizing, leaving window sizes intact.
ϡɥΥѹɥΥ򤽤Τޤޤˤޤ
.IP \-nostretch
.\" Inhibits window growth to fit tile.  Windows are shrunk to fit the
.\" tile but not expanded.
ϡ˹礦褦ʥɥĹޤ
äƥɥϥ˹礦褦˽̤ߤޤϤޤ
.IP \-r
.\" Reverses the window sequence.
ϡɥ¤Ӥսˤޤ
.IP \-s
.\" Causes sticky windows to also be affected (implied by \-all).
ϡsticky ɥˤƶͿޤ (\-all ˴ޤޤ)
.IP \-t
.\" Causes transient windows to also be affected (implied by \-all).
ϡŪʥɥˤƶͿޤ (\-all ˴ޤޤ)
.IP \-u
.\" Causes untitled windows to also be affected (implied by \-all).
ϡȥΤʤɥˤƶͿޤ (\-all ˴ޤޤ)

.\" Up to four numbers can be placed on the command line that are not
.\" switches.  The first pair specify an x and y offset to start the first
.\" window (default is 0, 0).  The second pair specify an absolute
.\" coordinate reference denoting the lower right bounding box for tiling.
.\" If any number is suffixed with the letter p, then it is taken to be a
.\" pixel value, otherwise it is interpreted as a screen percentage.
.\" Specifying zero for any parameter is equivalent to not specifying it.
ʾΥå
4 İʲΥޥɥ饤󥪥ץͿ뤳ȤǤޤ
ǽȤϡǽΥɥ֤餷֤ x  y ɸǤ
(ǥեȤǤ 0, 0)
ȤϡĥΰȤαŪʺɸ򼨤ޤ
θ p դ硢ϥԥͤȤɾޤ
ʳϥ꡼ΤФɴʬΨǤȤߤʤޤ
ƥѥ᡼ 0 ꤹΤϡ
˲ꤷʤȤƱˤʤޤ

.\" .SH BUGS
.SH Х
.\" It is probably not a good idea to delete windows while windows are
.\" being tiled.
ɥĥꤵƤ֤˥ɥȡ
⤷ɤʤȤˤʤ뤫⤷ޤ

.\" .SH AUTHOR
.SH 
Andrew Veliath
