.\" t
.\" @(#)FvwmConsole.1x  7/16/96
.TH FvwmConsole 1x "July 16 1996"
.\" $Id: FvwmConsole-j.man,v 1.2 2007-01-19 20:04:27+09 shige Exp $
.\" FvwmConsole for 2.0.46: ܸ: shige@iee.niit.ac.jp 
.UC

.\" .SH NAME
.SH ̾
.\" FvwmConsole \- the FVWM command input interface
FvwmConsole FVWM ޥϥ󥿡ե
.\" .SH SYNOPSIS
.SH 
.\" FvwmConsole is spawned by fvwm, so no command line invocation will work.
.\" From within the .fvwm2rc file or from a menu, FvwmConsole takes any
.\" options xterm will take, except -name, and -title.
FvwmAuto  fvwm ˤäƼ¹ԤΤ
ޥɥ饤󤫤θƤӽФǤưޤ
\.fvwm2rc ե⤫顢ޤϥ˥塼顢
FvwmConsole ϡxterm ˴ؤ -name, -title ʳ
ǤդΥץμդޤ

.RS
Module FvwmConsole -g 40x10 -fg black -bg green3
.RE

.\"  The option -e can be used to choose its front-end:
ץ -e ϡΥեȥɤ򤹤뤳ȤǻȤޤ:

.RS
FvwmConsole -e /usr/X11/lib/fvwm2/FvwmConsoleC.pl
.RE

.\" Also X resources can be set in .Xdefaults file
\.Xdefaults ե X Υ꥽ꤹ뤳ȤǤޤ:

.RS
FvwmConsole*VT100*geometry: 40x4
.br
FvwmConsole*font: 7x14
.RE

.\" .SH DESCRIPTION
.SH 
.\" FvwmConsole allows the user to type fvwm commands into xterm, and
.\" have them executed immediately. These commands are usually specified
.\" in the .fvwm2rc file, or are bound to menu/mouse items as specified
.\" in that file. This tools is particularly useful for testing new
.\" configuration ideas, or for implementing temporary changes to your
.\" environment.
FvwmConsole ϡ桼 fvwm ޥɤ xterm Ϥ
μ¹Է̤ľ뤳Ȥǽˤޤ
Υޥɤϡ̾ .fvwm2rc ե˻ꤹ뤫
Υեǥ˥塼ޥʤɤ˳ƤΤǤ
ΥġäˡΥǥƥȤ硢
ޤϤʤδĶŪѹͭѤǤ礦

.\" .SH Command Editor
.SH ޥɥǥ

.\" There are a few options. If GNU readline library is installed,
.\" add '#define HAVE_READLINE' in Imakefile and compile. 
Ĥ褬ޤ
GNU readline 饤֥꤬󥹥ȡ뤵Ƥϡ
Imakefile  '#define HAVE_READLINE' ɲäƥѥ뤷Ƥ
.br
.\" If Perl5 is installed, FvwmConsoleC.pl can be used as a command editor.
.\" This can be accomplished by either copying FvwmConsoleC.pl 
.\" to fvwmlib directory as FvwmConsoleC or
.\" invoking FvwmConsole with -e option.
.\" For example:
Perl5 󥹥ȡ뤵Ƥϡ
FvwmConsoleC.pl 򥳥ޥɥǥȤƻȤȤǤޤ
ϡFvwmConsoleC.pl  fvwmlib ǥ쥯ȥ 
FvwmConsoleC Ȥƥԡ뤫
ޤ FvwmConsole  -e ץĤǸƤӽФǲǽˤʤޤ
:
.br
FvwmConsole -e /usr/lib/X11/fvwm2/FvwmConsoleC.pl
.br

.\" If neither one is installed, command line editor will call 
.\" gets function, which doesn't have editing functions.
ɤ⥤󥹥ȡ뤵Ƥʤϡ
ޥɥ饤󥨥ǥ gets ؿƤӽФޤ
ԽǽĴؿǤϤޤ
.br
.\" GNU readline and FvwmConsoleC.pl have some frequent used commands
.\" in common as default.
.\" These commands are similar to emacs. 
.\" For more details, refer GNU readline man and info pages, and
.\" FvwmConsoleC.pl man pages.
GNU readline  FvwmConsoleC.pl ϡǥեȤǶ̤
褯Ȥ륳ޥɤ򤤤ĤäƤޤ
Υޥɤ emacs ȻƤޤ
ܺ٤ϡGNU readline Υ饤ޥ˥奢 info
 FvwmConsoleC.pl Υ饤ޥ˥奢򻲾ȤƤ

.RS
.PD 0
.TP 8
Cntl-A
.\" - beginning of line
ԤƬ
.TP
Cntl-B
.\" - previous char
ʸ
.TP
Cntl-D
.\" - delete char
ʸ
.TP
Cntl-E
.\" - end of line
ԤκǸ
.TP
Cntl-F
.\" - next char
ʸ
.TP
Cntl-H
.\" - backspace
Хåڡ
.TP 
Cntl-K
.\" - erase to the end of line
ޤǺ
.TP
Cntl-N
.\" - next line
ι
.TP
Cntl-P
.\" - previous line
ι
.TP
Cntl-R
.\" - search reverse
˸
.TP
Cntl-U
.\" - delete line
Ԥκ
.TP
Meta-B
.\" - previous word
ñ
.TP
Meta-F
.\" - next word
ñ
.TP
Esc <
.\" - beginning of history
ҥȥκǽ
.TP
Esc >
.\" - end of history
ҥȥκǸ
.RE
.PD
.\" .SH COPYRIGHTS
.SH COPYRIGHTS (ʸ)
Copyright 1996, Toshi Isogai. No guarantees or warranties are provided.
Use this program at your own risk. Permission to use this program for
any purpose is given, as long as the copyright is kept intact. 

.SH  (ܸ)
1996 ǯ Toshi Isogai ˤʪǤ
ʤݸ⤤ʤݾڤͿޤ
ΥץϤʤȤǤǻѤƤ
ΥץϡΤޤݻƤ֤
ɤŪǤäƤ⤽λѤĤޤ


.\" .SH INVOCATION
.SH ƤӽФ
.\" FvwmConsole can be invoked by inserting the line 'Module FvwmConsole' in
.\" the .fvwm2rc file. This can be placed on a line by itself, if FvwmConsole
.\" is to be spawned during fvwm's initialization, or can be bound to a
.\" menu or mouse button or keystroke to invoke it later. Fvwm will search
.\" directory specified in the ModulePath configuration option to attempt
.\" to locate FvwmConsole.
FvwmConsole  .fvwm2rc ե 'Module FvwmConsole' 
ȤԤ뤳ȤǸƤӤޤ
FvwmConsole  fvwm νδ֤˵ư
켫ȤĤιԤȤ֤ȤǤޤ
뤤ϤǸƤӽФ
˥塼ޥܥ󡢥ȥʤɤ˳Ƥ뤳ȤǽǤ
Fvwm ϡꥪץ ModulePath ǻꤵ줿ǥ쥯ȥõ 
FvwmConsole ߤĤ褦Ȥޤ

.\" .SH CONFIGURATION OPTIONS
.SH ꥪץ
.\" FvwmConsole uses xterm. All resources set for xterm are inherited
.\" unless overridden by command line options.
FvwmConsole  xterm Ѥޤ
ޥɥ饤󥪥ץǾ񤭤ƤʤС
xterm ˴ؤ뤹٤ƤΥ꥽꤬Ѥޤ

.\" .SH SEE ALSO
.SH 
.\" xterm(1), FvwmConsoleC.pl(1x), GNU readline library
xterm(1), FvwmConsoleC.pl(1x), GNU readline 饤֥

.\" .SH AUTHOR
.SH 
Toshi Isogai
